import rc from 'rc';

export default rc('license-report-check', {
  /*
		Full path to json file generated by 'license-report'
    describing all packages to handle..
	*/
  source: '',

  /*
		possible outputs:

		json || csv || table
	*/
  output: 'json',

  /*
		An array of license types that will not be reported.
    If this array contains license names, then packages that are
    not in this list, will be reported as 'notAllowed'.
	*/
  allowed: [],

  /*
		An array of license types that will be reported as 'forbidden'.
	*/
  forbidden: [],

  /*
		if output is csv
	*/
  delimiter: ',',

  /*
		Escape fields containing delimiter character if output is csv.
	*/
  escapeCsvFields: false,

  /*
		Show headers if output is csv.
	*/
  csvHeaders: false,

  /*
		Classification values to use in the generated csv and table output.
	*/
  outputClassifications: {
    notAllowed: 'not allowed',
    forbidden: 'forbidden',
    unknown: 'unknown',
  },

  /*
		Names of the output columns and the titles to use.
    The property names are the fields to select from the license-report
    result for a package.
    The value of a property contains the title for a column.
    The "classification" is an internal field of license-report-check
    that contains the result of the check for a package.
	*/
  outputColumns: {
    name: 'name',
    licenseType: 'licenseType',
    classification: 'classification',
  },
});
